﻿using Microsoft.BusinessData.Infrastructure;

namespace BCSCustomAuthenticationProvider
{
	internal class SharePointConnection : ILobiAuthenticationProvider
	{
		#region Fields

		string _userId;
		string _password;

		#endregion

		public string UserId
		{
			get { return _userId; }
			set { _userId = (value == null) ? string.Empty : value; }
		}

		public string Password
		{
			get { return _password; }
			set { _password = (value == null) ? string.Empty : value; }
		}

		public SharePointConnection(string userId, string password)
		{
			UserId = userId;
			Password = password;
		}

		public AuthenticationScheme GetAuthenticationScheme(string server, string serverUrl)
		{
			return AuthenticationScheme.RunAs;
		}

		public string GetCookie(string server, string serverUrl)
		{
			return "BCSCustomAuthenticationProvider";
		}

		public string GetUserId(string server, string serverUrl)
		{
			return UserId;
		}

		public string GetPassword(string server, string serverUrl)
		{
			return Password;
		}
	}
}
