﻿using System;
using System.Linq;
using System.Windows;
using Microsoft.SharePoint.BusinessData.Administration.Client;

namespace BCSCustomAuthenticationProvider
{
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();

			SiteURLText.Text = "http://<SITEURL>";
			UserIdText.Text = "<DOMAIN>\\<USERNAME>";
			PasswordText.Text = "<PASSWORD>";
		}

		void OnCloseButtonClick(object sender, RoutedEventArgs e)
		{
			Close();
		}

		void OnLoadModelsButtonClick(object sender, RoutedEventArgs e)
		{
			try
			{
				// Create instance of custom authentication provider
				SharePointConnection spc = new SharePointConnection(UserIdText.Text, PasswordText.Text);

				// Create catalog instance using the custom authentication provider
				AdministrationMetadataCatalog catalog = AdministrationMetadataCatalog.GetCatalog(SiteURLText.Text, spc);

				ModelsListView.ItemsSource = catalog.GetModels("*").Select(m => m.Name);
			}
			catch(Exception ex)
			{
				MessageBox.Show(ex.Message);
			}
		}
	}
}
